package com.mortals.xhx.module.certificate.pdu;

import lombok.Data;

import java.util.Date;

@Data
public class ApplyLogPdu {
    /**
     * 证照目录ID
     */
    private Long catalogId;
    /**
     * 证件编号
     */
    private String certificateCode;
    /**
     * 证件名称
     */
    private String certificateName;
    /**
     * 颁发时间
     */
    private Date issueTime;
    /**
     * 取件人姓名
     */
    private String pickerName;
    /**
     * 取件人证件号码
     */
    private String pickerIDCardNo;
    /**
     * 持有者类型，1：自然人，2：法人，3：自然人法人
     */
    private Integer holderType;
    /**
     * 持有者证件类型，1：身份证，2：组织机构代码等
     */
    private Integer holderIdType;
    /**
     * 持有者名称
     */
    private String holderName;
    /**
     * 持有者证件号码
     */
    private String holderIDCardNo;
    /**
     * 企业名称
     */
    private String enterpriseName;
    /**
     * 专网ID
     */
    private String privateID;
    /**
     * 证照模板正本表单内容
     */
    private String formContent;
}
